﻿Public Class OilChecker

    Private Sub btnSubmit_Click(sender As System.Object, e As System.EventArgs) Handles btnSubmit.Click
        'Submit user selection to database.
        Dim servOil As New Services

        If radFull.Checked = False And radHalf.Checked = False And radAdd.Checked = False Then
            MessageBox.Show("Please make an oil level selection before clicking the Submit button.", "Entry Error")
        Else
            If radFull.Checked = True Then
                'Update service table with oil level of Full and today's date.
                servOil.UpdateFullOil()
            ElseIf radHalf.Checked = True Then
                'Update service table with oil level of Half Full and today's date.
                servOil.UpdateHalfOil()
            ElseIf radAdd.Checked = True Then
                'Update service table with oil level of Add A Quart and today's date.
                servOil.UpdateAddOil()
            End If
            btnSubmit.Enabled = False
        End If
    End Sub

    Private Sub btnClose_Click(sender As System.Object, e As System.EventArgs) Handles btnClose.Click
        'Close form.
        Me.Close()
    End Sub
End Class