﻿
Imports System.Data.OleDb
Public Class OtherServices

    ' Class Variables.
    Public strCar As String

    Private Sub btnSubmit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnSubmit.Click
        ' Inserts user's selections into database.

        If IsValid() Then
            Dim service As New Services(CSng(txtCurrentMiles.Text.Trim), CDate(txtDateServiced.Text.Trim), _
            txtOtherDescMech.Text.Trim, txtOtherDescMisc.Text.Trim, txtOtherDescWT.Text.Trim)
            If (Me.chkAltinator.Checked = False And Me.chkBodyPaint.Checked = False And
                    Me.chkElectrical.Checked = False And Me.chkEngine.Checked = False And
                    Me.chkFluid.Checked = False And Me.chkFrontBrkPads.Checked = False And
                    Me.chkFrontTires.Checked = False And Me.chkOtherMech.Checked = False And
                    Me.chkOtherMisc.Checked = False And Me.chkOtherWT.Checked = False And
                    Me.chkRearBrkPads.Checked = False And Me.chkRearTires.Checked = False And
                    Me.chkTransmission.Checked = False And Me.chkWipers.Checked = False And
                    Me.txtOtherDescMech.Text = String.Empty And
                    Me.txtOtherDescMisc.Text = String.Empty And
                    Me.txtOtherDescWT.Text = String.Empty) Then
                MessageBox.Show("Please make a service selection before submitting your information.")
            ElseIf (Me.chkOtherWT.Checked = True And Me.txtOtherDescWT.Text = String.Empty) Then
                MessageBox.Show("You must enter a brief Wear And Tear service description " & _
                "in the Other textbox when the Other checkbox is selected " & _
                "under the WEAR AND TEAR section.")
                Me.txtOtherDescWT.Focus()
            ElseIf (Me.chkOtherMisc.Checked = True And Me.txtOtherDescMisc.Text = String.Empty) Then
                MessageBox.Show("You must enter a brief Miscellaneous service description " & _
                                "in the Other textbox when the Other checkbox is seleted " & _
                                "under the MISCELLANEOUS section.")
                Me.txtOtherDescMisc.Focus()
            ElseIf (Me.chkOtherMech.Checked = True And Me.txtOtherDescMech.Text = String.Empty) Then
                MessageBox.Show("You must enter a brief Mechanical service descrition " & _
                                "in the Other textbox when the Other checkbox is selected " & _
                                "under the MECHANICAL section.")
                Me.txtOtherDescMech.Focus()
            ElseIf (Me.chkOtherWT.Checked = False And Me.txtOtherDescWT.Text <> String.Empty) Then
                MessageBox.Show("You have entered information in the Wear And Tear Other service " & _
                                "description textbox, but didn't check the Other checkbox. Please " & _
                                "check the Other checkbox or delete the text from the textbox.")
                Me.txtOtherDescWT.Focus()
                Me.txtOtherDescWT.SelectAll()
            ElseIf (Me.chkOtherMisc.Checked = False And Me.txtOtherDescMisc.Text <> String.Empty) Then
                MessageBox.Show("You have entered information in the Miscellaneous Other service " & _
                                "description textbox, but didn't check the Other checkbox. Please " & _
                                "check the Other checkbox or delete the text from the textbox.")
                Me.txtOtherDescMisc.Focus()
                Me.txtOtherDescMisc.SelectAll()
            ElseIf (Me.chkOtherMech.Checked = False And Me.txtOtherDescMech.Text <> String.Empty) Then
                MessageBox.Show("You have entered information in the Mechanical Other service " & _
                                "description textbox, but didn't check the Other checkbox. Please " & _
                                "check the Other checkbox or delete the text from the textbox.")
                Me.txtOtherDescMech.Focus()
                Me.txtOtherDescMech.SelectAll()
            Else
                Dim submitService As DialogResult = MessageBox.Show("Please Ensure You Have Made All The Correct Selections." & _
                   " Are you sure you want to save the information entered to the database?", "Save Data", MessageBoxButtons.YesNo, MessageBoxIcon.Question)
                If submitService = Windows.Forms.DialogResult.No Then
                    clearAll()
                Else
                    If (Me.chkFrontBrkPads.Checked = True) Then
                        service.SubmitFrontBrakePadService()
                    End If

                    If (Me.chkRearBrkPads.Checked = True) Then
                        service.SubmitRearBrakePadService()
                    End If

                    If (Me.chkFrontTires.Checked = True) Then
                        service.SubmitFrontTireService()
                    End If

                    If (Me.chkRearTires.Checked = True) Then
                        service.submitRearTireService()
                    End If

                    If (Me.chkWipers.Checked = True) Then
                        service.SubmitWipersService()
                    End If

                    If (Me.chkElectrical.Checked = True) Then
                        service.SubmitElectricalService()
                    End If

                    If (Me.chkBodyPaint.Checked = True) Then
                        service.SubmitBodyAndPaintService()
                    End If

                    If (Me.chkFluid.Checked = True) Then
                        service.SubmitFluidService()
                    End If

                    If (Me.chkEngine.Checked = True) Then
                        service.SubmitEngineService()
                    End If

                    If (Me.chkTransmission.Checked = True) Then
                        service.SubmitTransmissionService()
                    End If

                    If (Me.chkAltinator.Checked = True) Then
                        service.SubmitAltinatorService()
                    End If

                    If (Me.chkOtherWT.Checked = True) Then
                        service.SubmitOtherWTService()
                    End If

                    If (Me.chkOtherMisc.Checked = True) Then
                        service.SubmitOtherMiscService()
                    End If

                    If (Me.chkOtherMech.Checked = True) Then
                        service.SubmitOtherMechService()
                    End If
                    btnSubmit.Enabled = False
            End If
            End If
        End If
    End Sub

    Private Function IsValid() As Boolean
        Return _
            Validation.IsEmpty(txtCurrentMiles, "Current Miles") AndAlso
            Validation.IsNumber(txtCurrentMiles, "Current Miles") AndAlso
            Validation.IsNotNegative(txtCurrentMiles, "Current Miles") AndAlso
            Validation.IsEmpty(txtDateServiced, "Date Serviced") AndAlso
            Validation.IsDate(txtDateServiced, "Date Serviced")
    End Function

    Private Sub btnSelectAllWT_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnSelectAllWT.Click
        ' Select all the WEAR & TEAR options on the form.

        Me.chkFrontBrkPads.Checked = True
        Me.chkRearBrkPads.Checked = True
        Me.chkFrontTires.Checked = True
        Me.chkRearTires.Checked = True
        Me.chkOtherWT.Checked = True
        Me.txtOtherDescWT.Focus()
    End Sub

    Private Sub btnExit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnExit.Click
        ' Close the ServiceMike form.

        Me.Close()
    End Sub

    Private Sub btnSelectAllMisc_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnSelectAllMisc.Click
        ' Select all the MISCELLANEOUS options on the form.

        Me.chkWipers.Checked = True
        Me.chkElectrical.Checked = True
        Me.chkBodyPaint.Checked = True
        Me.chkFluid.Checked = True
        Me.chkOtherMisc.Checked = True
        Me.txtOtherDescMisc.Focus()

    End Sub

    Private Sub btnSelectAllMech_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnSelectAllMech.Click
        ' Select all the MECHANICAL options on the form.

        Me.chkEngine.Checked = True
        Me.chkTransmission.Checked = True
        Me.chkAltinator.Checked = True
        Me.chkOtherMech.Checked = True
        Me.txtOtherDescMech.Focus()
    End Sub

    Private Sub btnClearWT_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnClearWT.Click
        ' Clear all the WEAR & TEAR options on the form.

        Me.chkFrontBrkPads.Checked = False
        Me.chkRearBrkPads.Checked = False
        Me.chkFrontTires.Checked = False
        Me.chkRearTires.Checked = False
        Me.chkOtherWT.Checked = False
        Me.txtOtherDescWT.Text = String.Empty
        Me.chkFrontBrkPads.Focus()
    End Sub

    Private Sub btnClearMisc_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnClearMisc.Click
        ' Clear all the MISCELLANEOUS options on the form.

        Me.chkWipers.Checked = False
        Me.chkElectrical.Checked = False
        Me.chkBodyPaint.Checked = False
        Me.chkFluid.Checked = False
        Me.chkOtherMisc.Checked = False
        Me.txtOtherDescMisc.Text = String.Empty
        Me.chkWipers.Focus()
    End Sub

    Private Sub btnClearMech_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnClearMech.Click
        ' Clear all the MECHANICAL options on the form.

        Me.chkEngine.Checked = False
        Me.chkTransmission.Checked = False
        Me.chkAltinator.Checked = False
        Me.chkOtherMech.Checked = False
        Me.txtOtherDescMech.Text = String.Empty
        Me.chkEngine.Focus()
    End Sub

    Private Sub btnListService_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnListService.Click
        ' Opens PastServicesMike form.

        Dim pastServ As New PastServices
        pastServ.ShowDialog()
    End Sub

    Sub clearAll()
        ' Clears all selection options on the form.

        Me.chkFrontBrkPads.Checked = False
        Me.chkRearBrkPads.Checked = False
        Me.chkFrontTires.Checked = False
        Me.chkRearTires.Checked = False
        Me.chkOtherWT.Checked = False
        Me.txtOtherDescWT.Text = String.Empty
        Me.chkWipers.Checked = False
        Me.chkElectrical.Checked = False
        Me.chkBodyPaint.Checked = False
        Me.chkFluid.Checked = False
        Me.chkOtherMisc.Checked = False
        Me.txtOtherDescMisc.Text = String.Empty
        Me.chkEngine.Checked = False
        Me.chkTransmission.Checked = False
        Me.chkAltinator.Checked = False
        Me.chkOtherMech.Checked = False
        Me.txtOtherDescMech.Text = String.Empty
        Me.chkFrontBrkPads.Focus()
    End Sub

    Private Sub ServicesMike_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        ' Load system date into date label.

        Dim dtTodayDate As Date
        dtTodayDate = Today
        Me.lblDate.Text = CStr(dtTodayDate)
        lblCarModel.Text = strCar
    End Sub
End Class