﻿Imports System.Data.SqlClient
Public Class Car
    Private vehicleMaint As String = "Server=.\SQLExpress;AttachDbFilename=C:\Program Files\Microsoft SQL Server\MSSQL11.SQLEXPRESS\MSSQL\DATA\VehicleMaintPro.mdf;Database=VehicleMaintPro;Trusted_Connection=Yes;"
    Private m_CarMake As String
    Private m_CarModel As String
    Private m_CarYear As String
    Private m_CarOwnerFirst As String
    Private m_CarOwnerLast As String
    Public strCarForReturnService As String
    Public sucessfulAdd As Boolean = True
    Public verifyQuery As Boolean = True
    Public verifyNullQuery As Boolean = False
    Dim myConnection As New SqlConnection(vehicleMaint)
   

    Public Property CarMake As String
        Get
            Return m_CarMake
        End Get
        Set(ByVal value As String)
            m_CarMake = value
        End Set
    End Property

    Public Property CarModel As String
        Get
            Return m_CarModel
        End Get
        Set(ByVal value As String)
            m_CarModel = value
        End Set
    End Property

    Public Property CarYear As String
        Get
            Return m_CarYear
        End Get
        Set(ByVal value As String)
            m_CarYear = value
        End Set
    End Property

    Public Property CarOwnerFirst As String
        Get
            Return m_CarOwnerFirst
        End Get
        Set(ByVal value As String)
            m_CarOwnerFirst = value
        End Set
    End Property

    Public Property CarOwnerLast As String
        Get
            Return m_CarOwnerLast
        End Get
        Set(ByVal value As String)
            m_CarOwnerLast = value
        End Set
    End Property

    Public Sub New()

    End Sub

    Public Sub New(ByVal carMake As String, ByVal carModel As String, ByVal carYear As String,
                   ByVal carOwnerFirst As String, ByVal carOwnerLast As String)
        Me.CarMake = carMake
        Me.CarModel = carModel
        Me.CarYear = carYear
        Me.CarOwnerFirst = carOwnerFirst
        Me.CarOwnerLast = carOwnerLast
    End Sub

    Public Function IsNewUser() As Boolean
        Dim intCount As Integer
        myConnection.Open()
        Dim strMyQuery As String = "select count(*) from car"
        Dim myCommand As New SqlCommand(strMyQuery, myConnection)
        myCommand.CommandType = CommandType.Text
        Dim strReader As SqlDataReader = myCommand.ExecuteReader
        While strReader.Read
            intCount = CInt(strReader(0))
        End While
        strReader.Close()
        myConnection.Close()
        If intCount = 0 Then
            Return True
        Else
            Return False
        End If
    End Function

    Public Sub AddCarOwner()

        myConnection.Open()
        Try
            Dim myInsert As String = "insert into car(FirstName,LastName,CarMake,CarModel,CarYear) values(@FirstName,@LastName,@CarMake,@CarModel,@CarYear)"
            Dim myCommand As New SqlCommand(myInsert, myConnection)
            Dim p1 As New SqlParameter()
            p1.ParameterName = "@FirstName"
            p1.Value = m_CarOwnerFirst
            myCommand.Parameters.Add(p1)

            Dim p2 As New SqlParameter()
            p2.ParameterName = "@LastName"
            p2.Value = m_CarOwnerLast
            myCommand.Parameters.Add(p2)

            Dim p3 As New SqlParameter()
            p3.ParameterName = "@CarMake"
            p3.Value = m_CarMake
            myCommand.Parameters.Add(p3)

            Dim p4 As New SqlParameter()
            p4.ParameterName = "@CarModel"
            p4.Value = m_CarModel
            myCommand.Parameters.Add(p4)

            Dim p5 As New SqlParameter()
            p5.ParameterName = "@CarYear"
            p5.Value = m_CarYear
            myCommand.Parameters.Add(p5)

            myCommand.ExecuteNonQuery()
        Catch ex As Exception
            sucessfulAdd = False
            MessageBox.Show("Problems inserting car information into the car table", "Database Error")
        End Try
        myConnection.Close()

        If sucessfulAdd = True Then
            Dim welcome As New Welcome
            welcome.lblUserMessage.Text = "Welcome " & m_CarOwnerFirst & " " & m_CarOwnerLast
            welcome.lblVehicleServiced.Text = "Vehicle Serviced: " & m_CarYear & " " & m_CarMake & " " & m_CarModel
            welcome.strCarForService = m_CarYear & " " & m_CarMake & " " & m_CarModel
            welcome.ShowDialog()
        End If
    End Sub

    Public Sub getCarOwner()
        Dim strFirst As String = String.Empty
        Dim strLast As String = String.Empty
        Dim strMake As String = String.Empty
        Dim strModel As String = String.Empty
        Dim strYear As String = String.Empty

        myConnection.Open()
        Try
            Dim myQueryOwner As String = "select firstname,lastname,carmake,carmodel,caryear from car"

            Dim mycommand As New SqlCommand(myQueryOwner, myConnection)
            mycommand.CommandType = CommandType.Text

            Dim myReader As SqlDataReader = mycommand.ExecuteReader
            While myReader.Read
                strFirst = CStr(myReader(0))
                strLast = CStr(myReader(1))
                strMake = CStr(myReader(2))
                strModel = CStr(myReader(3))
                strYear = CStr(myReader(4))
            End While
            myReader.Close()

        Catch ex As Exception
            MessageBox.Show("Problem querying car information from car table.", "Database Error")
            verifyQuery = False
        End Try
        myConnection.Close()

        If verifyQuery = True And verifyNullQuery = False Then
            Dim welcome As New Welcome
            welcome.lblUserMessage.Text = "Welcome " & strFirst & " " & strLast
            welcome.lblVehicleServiced.Text = "Vehicle Serviced: " & strYear & " " & strMake & " " & strModel
            welcome.strCarForService = strYear & " " & strMake & " " & strModel
            welcome.ShowDialog()
        End If
    End Sub
End Class
