﻿Public Class NewUser
    'Public ownerCherisse As Char

    Private Sub btnSubmitInfo_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnSubmitInfo.Click

        If IsValid() Then
            Dim verifyData As DialogResult = MessageBox.Show("Has your vehicle Information been entered correctly? If not, please re-enter.", "Verify Data", MessageBoxButtons.YesNo, MessageBoxIcon.Question)
            If verifyData = DialogResult.Yes Then
                Dim car As New Car(Me.txtMake.Text.Trim.ToUpper, Me.txtModel.Text.Trim.ToUpper, Me.txtYear.Text.Trim, Me.txtFirstname.Text.Trim.ToUpper, Me.txtLastname.Text.Trim.ToUpper)
                car.AddCarOwner()
                If car.sucessfulAdd = True Then
                    Me.Hide()
                End If
            Else
                Me.txtFirstname.Text = String.Empty
                Me.txtLastname.Text = String.Empty
                Me.txtMake.Text = String.Empty
                Me.txtModel.Text = String.Empty
                Me.txtYear.Text = String.Empty
                Me.txtFirstname.Focus()

            End If
        End If
    End Sub

    Private Function IsValid() As Boolean
        Return _
            Validation.IsEmpty(txtFirstname, "First Name") AndAlso _
            Validation.IsEmpty(txtLastname, "Last Name") AndAlso _
            Validation.IsEmpty(txtModel, "Car Model") AndAlso _
            Validation.IsEmpty(txtMake, "Car Make") AndAlso _
            Validation.IsEmpty(txtYear, "Car Year") AndAlso _
            Validation.IsString(txtFirstname, "First Name") AndAlso _
            Validation.IsString(txtLastname, "Last Name") AndAlso _
            Validation.IsString(txtModel, "Car Model") AndAlso _
            Validation.IsString(txtMake, "Car Make") AndAlso _
            Validation.IsNumber(txtYear, "Car Year") AndAlso _
            Validation.Is4digits(txtYear, "Car Year")
    End Function

    Private Sub NewUser_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        txtFirstname.Focus()
    End Sub

    Private Sub btnExit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnExit.Click
        Me.Close()
    End Sub
End Class